> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudsquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a New Project

> Create a new Project.



## OpenAPI

````yaml post /projects
openapi: 3.0.3
info:
  title: Cloudsquid
  description: This is the backend of cloudsquid specification
  termsOfService: cloudsquid.io
  contact:
    email: info@cloudsquid.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://api.cloudsquid.io/api
    description: API
security:
  - api-key: []
paths:
  /projects:
    post:
      tags:
        - projects
      summary: POST /projects
      description: create a new project
      requestBody:
        content:
          application/json:
            schema:
              description: request body for creating a new project
              type: object
              properties:
                name:
                  type: string
                  description: name of the project
              required:
                - name
      responses:
        '200':
          description: Successfully created project
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '500':
          description: Something went wrong
components:
  schemas:
    Project:
      description: projects
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: id of the project
        name:
          type: string
          description: name of the project
        created_at:
          type: string
          format: date-time
          description: time the project was created
      required:
        - id
        - name
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````